<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('student_quiz_answers', function (Blueprint $table) {
            $table->id();
            $table->foreignId('student_id')->constrained('student_registers')->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('teacher_class_id')->nullable()->constrained('teacher_classes')->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('quiz_id')->constrained('quizzes')->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('student_quiz_id')->constrained('student_quizzes')->cascadeOnUpdate()->cascadeOnDelete();
            $table->foreignId('question_id')->constrained('quiz_topic_questions')->cascadeOnUpdate()->cascadeOnDelete();
            $table->text('answer');
            $table->integer('outcome')->default(2);
            $table->string('score')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('student_quiz_answers');
    }
};
